Child Address Get One
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountName": "halima codesphere55",
"accountNumber": "9016547710",
"address": {
"address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-11-04T20:54:41.190Z",
"derivationPath": "m/44'/60'/0'/0/50",
"id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
"isActive": false,
"metadata": null,
"name": "halima codesphere55",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2026-01-14T20:22:46.686Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2025-11-28T06:06:06.505Z",
"currency": "NGN",
"customer": {
"createdAt": "2025-11-28T06:06:06.505Z",
"email": "[email protected]",
"id": "7733fd94-2bfa-49ca-88df-6b3d324b4a45",
"name": "halima codesphere55",
"network": "mainnet",
"phone": "+2348536898286",
"status": "ACTIVE",
"updatedAt": "2025-11-28T06:06:06.505Z"
},
"id": "b85adfd0-c961-48c8-8512-cd9563d08a90",
"isActive": false,
"label": null,
"reference": "74",
"status": "INACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-21T22:21:37.711Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
},
"message": "Virtual account retrieved successfully",
"statusCode": 200
}Child Address Get One
Child Address Get One
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
Child Address Get One
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
Example:
"VIRTUAL_ACCOUNT_ID"
⌘I

